<?php
/*
 * @Author: wang jun
 * @Date: 2022-01-18 10:57:14
 * @Last Modified by: wang jun
 * @Last Modified time: 2022-01-19 17:28:58
 * 微信类
 */
namespace app\index\controller;

use app\index\logic\resumelogic;
use think\Controller;

class Resume extends Base
{
    /**
     * 新增简历
     * 20220119
     * wj
     */
    public function newinfobyopenid()
    {
        $param = request()->param();
        $l_r = new resumelogic();
        $result = $l_r->newinfobyopenid($param);
        if (1 != $result['status']) {
            return backjson(0, $result['msg']);
        } else {
            return backjson(200, $result['data']);
        }
    }
    /**
     * 新增教育背景
     * 20220119
     * wj
     */
    public function saveebbyopenid()
    {
        $param = request()->param();
        $l_r = new resumelogic();
        $result = $l_r->newebinfobyopenid($param);
        if (1 != $result['status']) {
            return backjson(0, $result['msg']);
        } else {
            return backjson(200, $result['data']);
        }
    }
    /**
     * 新增工作经历
     * 20220119
     * wj
     */
    public function savewebyopenid()
    {
        $param = request()->param();
        $l_r = new resumelogic();
        $result = $l_r->newweinfobyopenid($param);
        if (1 != $result['status']) {
            return backjson(0, $result['msg']);
        } else {
            return backjson(200, $result['data']);
        }
    }
    /**
     * 获取数据根据openid
     * 20220119
     * wj
     */
    public function getinfobyopenid()
    {
        $param = request()->param();
        $l_r = new resumelogic();
        $result = $l_r->getinfobyopenid($param);
        if (1 != $result['status']) {
            return backjson(0, $result['msg']);
        }
        return backjson(200, $result['data']);
    }
    /**
     * 用户投递简历
     * 20220119
     * wj
     */
    public function sendresume()
    {
        $param = request()->param();
        $l_r = new resumelogic();
        $result = $l_r->sendresume($param);
        if (1 != $result['status']) {
            return backjson(0, $result['msg']);
        }
        return backjson(200, $result['data']);
    }
}
