<?php
/*
 * @Author: wang jun
 * @Date: 2022-01-18 10:57:14
 * @Last Modified by: wang jun
 * @Last Modified time: 2022-01-19 15:46:05
 * 微信类
 */
namespace app\index\controller;

use app\index\logic\userlogic;
use think\Controller;

class User extends Base
{
    /**
     * 新建数据
     * 20220118
     * wj
     */
    public function newinfo()
    {
        $param = request()->param();
        $l_u = new userlogic();
        $result = $l_u->newinfo($param);
        if (1 != $result['status']) {
            return backjson(0, $result['msg']);
        }
        return backjson(200, $result['data']);
    }
    /**
     * 实名认证
     * 20220118
     * wj
     */
    public function realauth()
    {
        $param = request()->param();
        $l_u = new userlogic();
        $result = $l_u->realauthbyopenid($param);
        if (1 != $result['status']) {
            return backjson(0, $result['msg']);
        }
        return backjson(200, $result['data']);
    }
    /**
     * 认证为企业
     * 20220118
     * wj
     */
    public function authcompany()
    {
        $param = request()->param();
        $l_u = new userlogic();
        $result = $l_u->updateiscompanybyopenid($param);
        if (1 != $result['status']) {
            return backjson(0, $result['msg']);
        }
        return backjson(200, $result['data']);
    }
    /**
     * 根据openid获取字段
     * 20220118
     * wj
     */
    public function getfieldbyopenid()
    {
        $param = request()->param();
        $l_u = new userlogic();
        $result = $l_u->getfieldbyopenid($param);
        if (1 != $result['status']) {
            return backjson(0, $result['msg']);
        }
        return backjson(200, $result['data']);
    }
}
